Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.units
Interface Quantity

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  QuantityImpl

Deprecated

    @Deprecated
    public interface Quantity

extends Belonging

The quantity of something. It has a count and a unit of measure (e.g. 4 bags, 5 liters) Attribute: unit

- Containment: By Value
- Multiplicity: 1:1

Attribute: count The number of units.

- Containment: By Value
- Multiplicity: 1:1

See Also
  `QuantityHome`, `QuantityImpl`

Method Summary
`double` | `getCount()` Deprecated Get the value of count
`Unit` | `getUnit()` Deprecated Get the value of unit
`void` | `setCount(double count)` Deprecated Set the value of count
`void` | `setUnit(Unit unit)` Deprecated Set the value of unit

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getUnit

    Unit getUnit()

  Deprecated
  Get the value of unit

  Returns
    unit.

### setUnit

    void setUnit(Unit unit)

  Deprecated
  Set the value of unit

  Parameters
    `unit` - unit to be added

### getCount

    double getCount()

  Deprecated
  Get the value of count

  Returns
    count.

### setCount

    void setCount(double count)

  Deprecated
  Set the value of count

  Parameters
    `count` - count to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.